www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gav <gmcdon...@apache.org>
Subject Jenkins JDK Matrix - and consolidating of versions.
Date Fri, 29 Jul 2016 11:03:59 GMT
Hi All,

So 99% of our Jenkins build machines are now puppetised with our configs in
our Git repos.
Going forward this should make things easier to maintain the software (and
versions of) on the nodes.

I went through all the JDK drop down options available in the Jenkins UI
when
creating a build.The Confluence wiki page at :-

https://cwiki.apache.org/confluence/display/INFRA/JDK+Installation+Matrix

lists all them all. When choosing a version to use I hope that this
information will
prove useful - any changes made we will keep this page upto date.
However, some are not currently installed on the new puppetised
slaves (on purpose) and others we intend to consolidate down to fewer
versions.

In contrast, we will be able to make newer release versions available
quicker.

Once we are done with the JDKs, we'll move on to Maven, and then the rest.

Ok to specifics,

First major change to get out of the way is the removal of the 'auto
install' JDK
versions. They overlap with installed versions and going forward we would
rather
manage installation via Puppet and roll them out to all slaves in one hit.

Looking at the table in the linked wiki page above, this means we'll be
removing
eight (8) drop down options , 5 of those jdk 8, 2 x jdk 7 and 1 x jdk 6.
To avoid confusion we'll also be removing the auto install 'latest1.6'
'latest1.7' and 'latest1.8' options.

The best options for 'latest' versions is the ones at the top of the table
'JDK 1.x (Latest)'
which are all installed on all nodes and managed via puppet.

I'll point out also that we have installed 'unlimited security' versions of
1.6,1.7,1.8 jdks.

Very recent addition is also that of the JDK 9 b128 Early Access Build. We
hope you enjoy
this addition and please do give feedback on this version to the builds@
mailing list so we can pass it on - but certainly do not plan to base your
releases on these 'ea' builds. I'll try my best to add new ea builds as
they come through.

Last ones to mention are the IBM and Harmony versions. I'm not sure how
much in use
these are so I'm holding off on installing these for now. Please do ask for
a specific version
if needed. I'll drop the from the UI in time.

I intend to drop all the auto-install versions (they are 1.6u45, 1.7u45,
1.7u51, 1.8.0_05, 1.8.0_11, 1.8.0_45, 1.8.0_25, 1.8.0_66) 7 days from now,
along with the auto install latest links. Please plan
on migrating your builds away from these versions before then.

Any follow questions, please do concentrate your email responses to the
builds@ mailing list.

Thanks!

Gav... (On behalf of the Infrastructure Team)

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message